Get checkout session status
curl --request GET \
--url https://api.quickshops.app/v1/checkout/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/checkout/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/checkout/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/checkout/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"mode": "<string>",
"amountTotal": 123,
"currency": "<string>",
"customerEmail": "<string>",
"lineItems": [
{
"productId": "<string>",
"name": "<string>",
"quantity": 123,
"amountTotal": 123
}
]
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Get checkout session
Fetch checkout session status after payment.
GET
/
v1
/
checkout
/
sessions
/
{sessionId}
Get checkout session status
curl --request GET \
--url https://api.quickshops.app/v1/checkout/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/checkout/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/checkout/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/checkout/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"mode": "<string>",
"amountTotal": 123,
"currency": "<string>",
"customerEmail": "<string>",
"lineItems": [
{
"productId": "<string>",
"name": "<string>",
"quantity": 123,
"amountTotal": 123
}
]
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Was this page helpful?
⌘I